using System;
using System.IO;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {

            //In this example you will see how to specify page numbers in produced Word/RTF
            //If you need more information about HTML-to-RTF Pro DLL .Net email us at:
            //support[at]sautinsoft.com
            SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
            //After purchasing the license, please insert your serial number here to activate the component
            //h.Serial = "XXXXXXXXXXXXXXX";

            h.PageStyle.PageMarginTop.Mm(10f);

            //Let's set page numbers from 1st page
            h.PageStyle.PageNumbers.Appearance = SautinSoft.HtmlToRtf.ePageNumbers.PageNumFirst;
            //Lest's align page numbers by top-center
            h.PageStyle.PageNumbers.AlignV = SautinSoft.HtmlToRtf.eAlign.Top;
            h.PageStyle.PageNumbers.AlignH = SautinSoft.HtmlToRtf.eAlign.Center;
            //Lest's set page numbers format as "Page 1 of 20"
            h.PageStyle.PageNumbers.Format = "Page {page} of {numpages}";

            //convert HTML file to RTF file
            int ret = h.ConvertFile(@"..\..\..\..\..\..\Testing HTMLs\sample1.htm", @"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");

            //0 - converting successfully
            //1 - can't open input file or URL, check the input path
            //2 - can't create output file, check the output path
            //3 - converting failed
            if (ret == 0)
            {
                //Show produced RTF file
                System.Diagnostics.Process.Start(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
            }
        }
    }
}
