Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        'Set BaseUrl to convert from HTML string to Word-RTF
        'If you need more information about HTML-to-RTF Pro DLL .Net email us at:
        'support[at]sautinsoft.com		
        Dim h As New SautinSoft.HtmlToRtf
        'After purchasing the license, please insert your serial number here to activate the component
        'h.Serial = "XXXXXXXXXXXXXXX"

        'set some options
        h.PageStyle.PageSize.Letter()
        h.PageStyle.PageMarginLeft.Mm(20.0F)

        Dim html As String = ""
        Dim word As String = ""

        '1. Read contents of HTML document
        html = ReadFromFile("..\..\..\..\..\Testing HTMLs\pic.htm")

        'Set 'BaseUrl' that component can find a full path to .css and images from relative paths
        h.BaseURL = "..\..\..\..\..\Testing HTMLs"
        'For ASP.Net applications you may set it so:
        'h.BaseURL = Server.MapPath("");

        '2. Convert HTML to RTF in memory			
        word = h.ConvertString(html)

        If word <> "" Then
            '3. Save to RTF document
            Dim ret As Integer = WriteToFile("..\..\..\..\..\Testing HTMLs\Word document.rtf", word)
            If ret = 0 Then
                System.Diagnostics.Process.Start("..\..\..\..\..\Testing HTMLs\Word document.rtf")
            End If
        End If
    End Sub
    Public Function ReadFromFile(ByVal fileName As String) As String

        Dim fileString As String = ""
        Try
            Dim fs As System.IO.FileStream = New FileStream(fileName, FileMode.Open, FileAccess.Read, FileShare.Read)
            Dim b(CInt(Fix(fs.Length)) - 1) As Byte
            If fs.Read(b, 0, CInt(Fix(fs.Length))) > 0 Then
                Dim arCharRes(fs.Length - 1) As Char
                For i As Integer = 0 To fs.Length - 1
                    arCharRes(i) = ChrW(b(i))
                Next i
                fileString = New String(arCharRes)
            End If
            fs.Close()
            Return fileString
        Catch
            Return ""
        End Try
    End Function
    Public Function WriteToFile(ByVal fileName As String, ByVal fileStr As String) As Integer
        Try
            Dim sw As New StreamWriter(fileName, False)
            sw.Write(fileStr)
            sw.Close()
        Catch
            Return 2
        End Try
        Return 0
    End Function
End Module
